Store-account-setting

Customer Login

post
/customer/login

This endpoint allows customers to log in using their email, password, and other login information.

Header parameters
keystringOptional

The unique key for the request.

Default: 8097571064818418
Body
emailIdstringOptional

The email address of the customer.

passwordstringOptional

The password associated with the customer's account.

typestringOptional

The type of login (e.g., 'normal', 'social').

tokenstringOptional

An optional token for additional authentication.

Responses
chevron-right
200

Successfully logged in.

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Logged in Successfully
post
/customer/login

Get Customer Profile

get
/customer/get-profile

This endpoint retrieves the customer's profile information.

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully retrieved customer profile

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Get the Profile.
get
/customer/get-profile

Get Account Profile Settings

post
/my-profile
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully got settings

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got settings
post
/my-profile

Get Customer Address

get
/customer-address
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successful response

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Get the customer Address
get
/customer-address

Add New Customer Address

post
/customer-address
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
addressTypeintegerRequired
address1stringRequired
address2stringOptional
citystringRequired
landmarkstringOptional
phoneNumberstringRequired
postcodestringRequired
countryIdintegerRequired
zoneIdintegerRequired
isDefaultintegerOptional
firstNamestringRequired
lastNamestringRequired
Responses
chevron-right
200

Address added successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Address added
post
/customer-address

Edit Customer Profile

post
/customer/edit-profile
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
firstNamestringRequired
lastNamestringRequired
emailIdstringRequired
phoneNumberstringRequired
addressstringRequired
address2stringOptional
landmarkstringOptional
citystringRequired
pincodestringRequired
stateIdintegerRequired
countryIdintegerRequired
Responses
chevron-right
200

Profile updated successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: The Customer details have been updated successfully
post
/customer/edit-profile

Update Default Customer Address

put
/customer-address/update-default/{id}
Path parameters
idintegerRequired
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
addressTypeintegerRequired
Responses
chevron-right
200

Default address updated successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Default Address updated Successfully
put
/customer-address/update-default/{id}

Get Customer Address Detail

get
/customer-address/{id}
Path parameters
idintegerRequired
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully retrieved address detail

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully get the address detail.
get
/customer-address/{id}

Update Customer Address

put
/customer-address/{id}
Path parameters
idintegerRequired
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
addressTypeintegerRequired
address1stringRequired
address2stringOptional
citystringRequired
landmarkstringOptional
phoneNumberstringRequired
postcodestringRequired
countryIdintegerRequired
zoneIdintegerRequired
statestringOptional
isDefaultintegerOptional
firstNamestringRequired
lastNamestringRequired
Responses
chevron-right
200

Customer address updated successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: The Customer Detail have been updated Successfully
put
/customer-address/{id}

Change Customer Password

post
/customer/change-password
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
oldPasswordstringRequired
newPasswordstringRequired
Responses
chevron-right
200

Password changed successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Your password has been change successfully
post
/customer/change-password

Get Order List Count

get
/orders/order-list
Query parameters
limitintegerOptional

Limit the number of results returned

offsetintegerOptional

Offset for pagination

countintegerOptional

Whether to return the count of results

keywordstringOptional

Search keyword for filtering orders

statusstringOptional

Filter orders by status

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully retrieved the count of orders

application/json
statusintegerOptional
messagestringOptional
get
/orders/order-list

Export Order to PDF

get
/orders/order-export-pdf
Query parameters
orderProductIdintegerRequired

ID of the order product to be exported as a PDF

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

PDF export successful

*/*
string · binaryOptional
get
/orders/order-export-pdf

Track Order Product

get
/orders/track-order-product
Query parameters
orderProductIdintegerRequired

ID of the order product to track

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully shown the track order details

*/*
statusintegerOptional
messagestringOptional
get
/orders/track-order-product

Get Ratings by Order Product ID

get
/product-store/rating-by-order
Query parameters
orderProductIdintegerRequired

ID of the order product to retrieve ratings for

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully retrieved the ratings for the order product

*/*
statusintegerOptional
messagestringOptional
get
/product-store/rating-by-order

Submit a Product Review

post
/product-store/review
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
orderProductIdstringRequiredExample: 2458
skuNamestringRequiredExample: GSKU1234-01
productIdintegerRequiredExample: 2088
reviewsstringRequiredExample: test
ratingintegerRequiredExample: 4
Responses
chevron-right
200

Successfully created your reviews.

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully created your reviews.
post
/product-store/review

Get Order Details

get
/orders/order-detail
Query parameters
orderProductIdintegerRequired

ID of the order product to retrieve details for

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully retrieved the order details

*/*
statusintegerOptional
messagestringOptional
get
/orders/order-detail

Get a list of quotations

get
/quotation

Retrieve a list of quotations based on status, limit, and offset parameters.

Query parameters
statusIdintegerRequired

The status ID for filtering the quotations.

Default: -1
limitintegerRequired

The number of quotations to return.

Default: 5
offsetintegerRequired

The offset for pagination of quotations.

Default: 0
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully fetched the quotation list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the quotation list!
get
/quotation

Get a list of products in the wishlist

get
/customer/wishlist-product-list

Retrieve a list of products in the customer's wishlist with pagination support.

Query parameters
limitintegerRequired

The number of wishlist products to return.

Default: 5
offsetintegerRequired

The offset for pagination of wishlist products.

Default: 0
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully fetched the wishlist product list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully show the wishlist product list
get
/customer/wishlist-product-list

Remove a product from the wishlist

delete
/customer/wishlist-product-delete/{id}

Delete a product from the customer's wishlist based on the product ID.

Path parameters
idintegerRequired

The ID of the product to remove from the wishlist.

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Product successfully removed from the wishlist

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: You have successfully remove from wishlist
delete
/customer/wishlist-product-delete/{id}
get
/customer/forgot-password-link

Send a password reset link to the user's registered email address.

Query parameters
emailstringRequired

The email address of the user who needs to reset their password.

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Password reset link sent successfully

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Thank you! A link to reset your password will be sent to your registered email shortly
get
/customer/forgot-password-link

Send OTP to the user's email

post
/customer/send-otp

Send a One-Time Password (OTP) to the provided email address for verification purposes.

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
emailIdstringOptionalExample: [email protected]
Responses
chevron-right
200

OTP sent successfully

*/*
statusintegerOptionalExample: 0
messagestringOptionalExample: OTP sent successfully to the provided email.
post
/customer/send-otp

Logout from the system

post
/customer/logout

Logs the user out of the system.

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully logged out

*/*
messagestringOptionalExample: Successfully Logout
statusstringOptionalExample: 1
post
/customer/logout

Register a new customer

post
/customer/register

Registers a new customer by providing necessary details like name, email, password, etc.

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
firstNamestring · max: 32Optional

Customer's first name

lastNamestring · max: 32Optional

Customer's last name

passwordstring · min: 8 · max: 128Optional

Password for the customer account

confirmPasswordstringOptional

Password confirmation

emailIdstring · max: 96Optional

Customer's email address

phoneNumberstring · max: 15Optional

Customer's phone number

Responses
chevron-right
200

Customer successfully registered

*/*
messagestringOptionalExample: Thank you for registering with us and please check your email
statusstringOptionalExample: 1
post
/customer/register

Last updated